/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../utils/depth';

.modal {
  background-color: rgba(199, 199, 199, 0.85);
  height: 100%;
  left: 0;
  overflow: hidden;
  position: absolute;
  top: 0;
  width: 100%;
  
  .modal-container {
    @extend .depth-26;
    background-color: $white;
    border-radius: $global-border-radius;
    height: auto;
    margin: 2rem auto;
    overflow: hidden;
    position: relative;
    width: 500px;

    .modal-header {
      margin: 0 20px;
      padding: 15px 0;
    }

    .modal-title {
      margin: 4px 0;
    }

    .modal-body {
      padding: 10px 20px;
    }
  }
  
  .modal-footer {
    border-top: 1px solid rgba($dark, 0.1);
    display: flex;
    flex-wrap: wrap;
    
    .button {
      flex-basis: 0;
      flex-grow: 1;
      max-width: 100%;
      min-height: 1px;
      padding: $padding-md-y $padding-base-x;
      position: relative;
    }
  }
}
